Page 1 of 1

WPA2 security issue affects virtually "all" WiFi modems

Posted: Tue Oct 17, 2017 5:16 pm
by Franpa
Can Exetel please pressure ZTE in to providing them with a firmware update for the ZTE H268A VDSL Modem (that Exetel sells to its customers) that fixes the security issue so that they can share it with Exetel customers using the Exetel supplied VDSL modem and can protect themselves? I ask Exetel this because ZTE always tell me to contact the ISP for firmware updates.

Source: https://www.krackattacks.com/
Source: http://lmgtfy.com/?q=wpa2+security+issue

A firmware upgrade is required to be 100% secured, the security patches released for Windows and other operating systems only partially resolves the issue if both the computer and access point aren't both secured with an update. See the last sentence of the first question in the Q&A section.
Finally, although an unpatched client can still connect to a patched AP, and vice versa, both the client and AP must be patched to defend against all attacks!

Re: WPA2 security issue affects virtually "all" WiFi modems

Posted: Tue Oct 17, 2017 11:20 pm
by KavindaS
Franpa wrote:Can Exetel please pressure ZTE in to providing them with a firmware update for the ZTE H268A VDSL Modem (that Exetel sells to its customers) that fixes the security issue so that they can share it with Exetel customers using the Exetel supplied VDSL modem and can protect themselves? I ask Exetel this because ZTE always tell me to contact the ISP for firmware updates.

Source: https://www.krackattacks.com/
Source: http://lmgtfy.com/?q=wpa2+security+issue

A firmware upgrade is required to be 100% secured, the security patches released for Windows and other operating systems only partially resolves the issue if both the computer and access point aren't both secured with an update. See the last sentence of the first question in the Q&A section.
There were similar complaints received and I have already escalated with ZTE management including your given information. I will update this thread once there is a feedback from ZTE support.

Re: WPA2 security issue affects virtually "all" WiFi modems

Posted: Sat Nov 11, 2017 3:32 am
by Franpa
Any news on a fix for the security issue? Also, what is the latest firmware version for the modem? V1.0.1_ETL.1T2 is what my modem is currently using.

Re: WPA2 security issue affects virtually "all" WiFi modems

Posted: Sat Nov 11, 2017 5:00 pm
by NIrmitha
Franpa wrote:Any news on a fix for the security issue? Also, what is the latest firmware version for the modem? V1.0.1_ETL.1T2 is what my modem is currently using.
We will check with the modem vendor and provide you an update.

Re: WPA2 security issue affects virtually "all" WiFi modems

Posted: Mon Nov 13, 2017 11:01 pm
by KavindaS
Franpa wrote:Any news on a fix for the security issue? Also, what is the latest firmware version for the modem? V1.0.1_ETL.1T2 is what my modem is currently using.
Finally, I have received the response today from the manufacturer. As per their confirmation, this function is realized in chipset level. They said their product is not impacted.

Up to date version with the Exetel registered network is V1.0.1_ETL.1T2.

Re: WPA2 security issue affects virtually "all" WiFi modems

Posted: Tue Nov 14, 2017 12:11 am
by Franpa
Okay, thanks.